Qt Reference Documentation

# ViewportAttributes Class Reference

(QWebPage::ViewportAttributes)

The QWebPage::ViewportAttributes class describes hints that can be applied to a viewport. More...

This class was introduced in Qt 4.7.

- List of all members, including inherited members

## Public Functions

| ViewportAttributes ()
| ViewportAttributes ( const QWebPage::ViewportAttributes & other )
| ~ViewportAttributes ()
qreal | devicePixelRatio () const
qreal | initialScaleFactor () const
bool | isUserScalable () const
bool | isValid () const
qreal | maximumScaleFactor () const
qreal | minimumScaleFactor () const
QSize | size () const
QWebPage::ViewportAttributes & | operator= ( const QWebPage::ViewportAttributes & other )

## Detailed Description

The QWebPage::ViewportAttributes class describes hints that can be applied to a viewport.

QWebPage::ViewportAttributes provides a description of a viewport, such as viewport geometry, initial scale factor with limits, plus information about whether a user should be able to scale the contents in the viewport or not, ie. by zooming.

ViewportAttributes can be set by a web author using the viewport meta tag extension, documented at Safari Reference Library: Using the Viewport Meta Tag.

All values might not be set, as such when dealing with the hints, the developer needs to check whether the values are valid. Negative values denote an invalid qreal value.

## Member Function Documentation

### ViewportAttributes::ViewportAttributes ()

Constructs an empty QWebPage::ViewportAttributes.

### ViewportAttributes::ViewportAttributes ( const QWebPage::ViewportAttributes & other )

Constructs a QWebPage::ViewportAttributes which is a copy from other .

### ViewportAttributes::~ViewportAttributes ()

Destroys the QWebPage::ViewportAttributes.

### qreal ViewportAttributes::devicePixelRatio () const

### qreal ViewportAttributes::initialScaleFactor () const

Returns the initial scale of the viewport as a multiplier.

### bool ViewportAttributes::isUserScalable () const

Determines whether or not the scale can be modified by the user.

### bool ViewportAttributes::isValid () const

Returns whether this is a valid ViewportAttributes or not.

An invalid ViewportAttributes will have an empty QSize, negative values for scale factors and true for the boolean isUserScalable.

### qreal ViewportAttributes::maximumScaleFactor () const

Returns the maximum scale value of the viewport as a multiplier.

### qreal ViewportAttributes::minimumScaleFactor () const

Returns the minimum scale value of the viewport as a multiplier.

### QSize ViewportAttributes::size () const

Returns the size of the viewport.

### QWebPage::ViewportAttributes & ViewportAttributes::operator= ( const QWebPage::ViewportAttributes & other )

Assigns the given QWebPage::ViewportAttributes to this viewport hints and returns a reference to this.